VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "msflxgrd.ocx"
Begin VB.Form frmWindowList 
   Caption         =   "Form1"
   ClientHeight    =   5250
   ClientLeft      =   1620
   ClientTop       =   1545
   ClientWidth     =   9600
   LinkTopic       =   "Form1"
   ScaleHeight     =   5250
   ScaleWidth      =   9600
   Begin MSFlexGridLib.MSFlexGrid flxWindows 
      Height          =   3975
      Left            =   0
      TabIndex        =   1
      Top             =   840
      Width           =   4335
      _ExtentX        =   7646
      _ExtentY        =   7011
      _Version        =   393216
   End
   Begin VB.CommandButton cmdListWindows 
      Caption         =   "List Windows"
      Height          =   495
      Left            =   1560
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "frmWindowList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function EnumWindows Lib "User32" (ByVal lpEnumFunc As Any, ByVal lParam As Long) As Long
' Start the enumeration.
Private Sub cmdListWindows_Click()
Dim i As Integer

    ' Erase any old information.
    Erase ProcInfo
    NumProcs = 0
    flxWindows.Clear
    DoEvents

    ' Enumerate the windows.
    EnumWindows AddressOf EnumProc, 0

    ' Display information.
    flxWindows.AllowUserResizing = flexResizeColumns
    flxWindows.Cols = 8
    flxWindows.Rows = NumProcs + 1
    flxWindows.FixedCols = 0
    flxWindows.FixedRows = 1

    flxWindows.TextMatrix(0, 0) = "Title"
    flxWindows.ColAlignment(0) = flexAlignLeftCenter
    flxWindows.TextMatrix(0, 1) = "Class"
    flxWindows.ColAlignment(1) = flexAlignLeftCenter
    flxWindows.TextMatrix(0, 2) = "hWnd"
    flxWindows.ColAlignment(2) = flexAlignRightCenter
    flxWindows.TextMatrix(0, 3) = "Placement"
    flxWindows.ColAlignment(3) = flexAlignRightCenter
    flxWindows.TextMatrix(0, 4) = "Left"
    flxWindows.ColAlignment(4) = flexAlignRightCenter
    flxWindows.TextMatrix(0, 5) = "Top"
    flxWindows.ColAlignment(5) = flexAlignRightCenter
    flxWindows.TextMatrix(0, 6) = "Right"
    flxWindows.ColAlignment(6) = flexAlignRightCenter
    flxWindows.TextMatrix(0, 7) = "Bottom"
    flxWindows.ColAlignment(7) = flexAlignRightCenter

    For i = 1 To NumProcs
        With ProcInfo(i)
            flxWindows.TextMatrix(i, 0) = .Title
            flxWindows.TextMatrix(i, 1) = .ClassName
            flxWindows.TextMatrix(i, 2) = .AppHwnd
            flxWindows.TextMatrix(i, 3) = .Placement
            flxWindows.TextMatrix(i, 4) = .Left
            flxWindows.TextMatrix(i, 5) = .Top
            flxWindows.TextMatrix(i, 6) = .Right
            flxWindows.TextMatrix(i, 7) = .Bottom
        End With
    Next i
End Sub


Private Sub Form_Resize()
Dim hgt As Single
Dim t As Single

    cmdListWindows.Move (ScaleWidth - cmdListWindows.Width) / 2, 0
    t = cmdListWindows.Height + 30
    hgt = ScaleHeight - t
    If hgt < 120 Then hgt = 120
    flxWindows.Move 0, t, ScaleWidth, hgt
End Sub
